MSNumpress.hpp File Reference
`#include <cstddef>`
`#include <vector>`
Include dependency graph for MSNumpress.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| ms
| ms::numpress
| ms::numpress::MSNumpress

## Macros

#define | THROW_ON_OVERFLOW true

## Functions

double | ms::numpress::MSNumpress::optimalLinearFixedPoint (const double *data, size_t dataSize)
double | ms::numpress::MSNumpress::optimalLinearFixedPointMass (const double *data, size_t dataSize, double mass_acc)
size_t | ms::numpress::MSNumpress::encodeLinear (const double *data, size_t dataSize, unsigned char *result, double fixedPoint)
void | ms::numpress::MSNumpress::encodeLinear (const std::vector< double > &data, std::vector< unsigned char > &result, double fixedPoint)
size_t | ms::numpress::MSNumpress::decodeLinear (const unsigned char *data, const size_t dataSize, double *result)
void | ms::numpress::MSNumpress::decodeLinear (const std::vector< unsigned char > &data, std::vector< double > &result)
size_t | ms::numpress::MSNumpress::encodeSafe (const double *data, const size_t dataSize, unsigned char *result)
size_t | ms::numpress::MSNumpress::decodeSafe (const unsigned char *data, const size_t dataSize, double *result)
size_t | ms::numpress::MSNumpress::encodePic (const double *data, size_t dataSize, unsigned char *result)
void | ms::numpress::MSNumpress::encodePic (const std::vector< double > &data, std::vector< unsigned char > &result)
size_t | ms::numpress::MSNumpress::decodePic (const unsigned char *data, const size_t dataSize, double *result)
void | ms::numpress::MSNumpress::decodePic (const std::vector< unsigned char > &data, std::vector< double > &result)
double | ms::numpress::MSNumpress::optimalSlofFixedPoint (const double *data, size_t dataSize)
size_t | ms::numpress::MSNumpress::encodeSlof (const double *data, size_t dataSize, unsigned char *result, double fixedPoint)
void | ms::numpress::MSNumpress::encodeSlof (const std::vector< double > &data, std::vector< unsigned char > &result, double fixedPoint)
size_t | ms::numpress::MSNumpress::decodeSlof (const unsigned char *data, const size_t dataSize, double *result)
void | ms::numpress::MSNumpress::decodeSlof (const std::vector< unsigned char > &data, std::vector< double > &result)

## Macro Definition Documentation

## THROW_ON_OVERFLOW

#define THROW_ON_OVERFLOW true

Definition at line 50 of file MSNumpress.hpp.